<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextDuplicateMultiple Method (Int32)
Cursor Class See Also Send Feedback

If the next key/data pair of the database is a duplicate data record for the current key/data pair, then move cursor to the next key/data pair in the database, and store that pair and as many duplicate data items that can fit in a buffer the size of BufferSize in CurrentMultiple. MoveNextDuplicateMultiple will return false if the next key/data pair of the database is not a duplicate data record for the current key/data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public bool MoveNextDuplicateMultiple(
    	int BufferSize
    )

Visual Basic (Declaration)

    Public Function MoveNextDuplicateMultiple ( _
    	BufferSize As Integer _
    ) As Boolean

Visual C++

    public:
    bool MoveNextDuplicateMultiple(
    	int BufferSize
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with duplicate data items. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextDuplicateMultiple Overload
BerkeleyDB Namespace